package fr.irisa.cairn.jnimap.isl;

import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import fr.irisa.cairn.jnimap.runtime.JNIObject;


/*** PROTECTED REGION ID(ISLScheduleMarkNode_userImport) ENABLED START ***/
	/*
		Put you custom import here ....
	*/
/*** PROTECTED REGION END ***/

/**
 *  Automatically generated by jnimap 
 * @generated
 */
public class ISLScheduleMarkNode extends ISLScheduleNode  {
	
	/* @generated */
	protected ISLScheduleMarkNode(long ptr) {
		/*** PROTECTED REGION ID(ISLScheduleMarkNode_Constructor) DISABLED START ***/
		super(ptr);
		/*** PROTECTED REGION END ***/
	}
	
	/* @generated */
	protected static ISLScheduleMarkNode build(long ptr) {
		return new ISLScheduleMarkNode(ptr);
	}
	
	/*** PROTECTED REGION ID(ISLScheduleMarkNode_userCode) ENABLED START ***/
	/*** PROTECTED REGION END ***/

	
	/*************************************** 
	 *	         Static Methods            * 
	 ***************************************/
	
	/*************************************** 
	 *	         Member Methods            * 
	 ***************************************/
	/**
	 * isl_schedule_node_mark_get_id 
	 * 
	 * @generated
	**/
	public ISLIdentifier getIdentifier() {
		/*** PROTECTED REGION ID(isl_schedule_node_mark_get_id) DISABLED START ***/
		ISLIdentifier res;
		
		synchronized(LOCK) {
			checkParameters();
			try {
				res = ISLIdentifier.build(ISLNative.isl_schedule_node_mark_get_id(getNativePtr(this)));
			} finally {
			}
		}
		
		return res;
		/*** PROTECTED REGION END ***/
	}
	
	
	public void accept(IISLScheduleNodeVisitor visitor) {
		visitor.visitISLScheduleMarkNode(this);
	}
	
	public String toString() {
		/*** PROTECTED REGION ID(ISLScheduleMarkNode_toString) DISABLED START ***/
			return ISLPrettyPrinter.asString(this);
		/*** PROTECTED REGION END ***/
	}
}
